Get upcoming events

Returns upcoming events with optional sport and league filters, timezone support, and pagination.

Example response

{
  "page": 1,
  "page_size": 100,
  "records": [
    {
      "away_score": 2,
      "away_team_abbreviation": "PIT",
      "away_team_id": 9344,
      "away_team_logo_url": "https://d1aarzeg4vkb0r.cloudfront.net/teams/9344.png",
      "away_team_name": "Pittsburgh Pirates",
      "event_id": 3426183,
      "event_name_short": "CIN vs. PIT",
      "event_start_time_utc": "2026-07-31T22:10:00+00:00",
      "event_status": "live",
      "game_state": {
        "balls": 1,
        "batter": {
          "player_name": "Elly De La Cruz"
        },
        "clock": "Bottom",
        "distance_to_go": null,
        "down": null,
        "field_position": null,
        "game_score": null,
        "is_clock_stopped": false,
        "last_play": null,
        "outs": 0,
        "period": "1",
        "period_number": 1,
        "pitcher": {
          "player_name": "Paul Skenes"
        },
        "possession": null,
        "runners": null,
        "strikes": 2,
        "time_min": null,
        "time_sec": null
      },
      "home_score": 0,
      "home_team_abbreviation": "CIN",
      "home_team_id": 9340,
      "home_team_logo_url": "https://d1aarzeg4vkb0r.cloudfront.net/teams/9340.png",
      "home_team_name": "Cincinnati Reds",
      "league_display_name": "USA MLB",
      "league_id": 129,
      "league_logo_url": "https://d1aarzeg4vkb0r.cloudfront.net/leagues/129.png",
      "sport_display_name": "Baseball",
      "sport_id": 4,
      "sport_name": "baseball",
      "tournament_type_id": 2
    },
    {
      "away_score": null,
      "away_team_abbreviation": "PHI",
      "away_team_id": 9342,
      "away_team_logo_url": "https://d1aarzeg4vkb0r.cloudfront.net/teams/9342.png",
      "away_team_name": "PHI Phillies",
      "event_id": 3426180,
      "event_name_short": "BAL vs. PHI",
      "event_start_time_utc": "2026-07-31T23:05:00+00:00",
      "event_status": null,
      "game_state": null,
      "home_score": null,
      "home_team_abbreviation": "BAL",
      "home_team_id": 9358,
      "home_team_logo_url": "https://d1aarzeg4vkb0r.cloudfront.net/teams/9358.png",
      "home_team_name": "Baltimore Orioles",
      "league_display_name": "USA MLB",
      "league_id": 129,
      "league_logo_url": "https://d1aarzeg4vkb0r.cloudfront.net/leagues/129.png",
      "sport_display_name": "Baseball",
      "sport_id": 4,
      "sport_name": "baseball",
      "tournament_type_id": null
    },
    {
      "away_score": null,
      "away_team_abbreviation": "STL",
      "away_team_id": 9339,
      "away_team_logo_url": "https://d1aarzeg4vkb0r.cloudfront.net/teams/9339.png",
      "away_team_name": "St. Louis Cardinals",
      "event_id": 3426175,
      "event_name_short": "TOR vs. STL",
      "event_start_time_utc": "2026-07-31T23:07:00+00:00",
      "event_status": null,
      "game_state": null,
      "home_score": null,
      "home_team_abbreviation": "TOR",
      "home_team_id": 9349,
      "home_team_logo_url": "https://d1aarzeg4vkb0r.cloudfront.net/teams/9349.png",
      "home_team_name": "Toronto Blue Jays",
      "league_display_name": "USA MLB",
      "league_id": 129,
      "league_logo_url": "https://d1aarzeg4vkb0r.cloudfront.net/leagues/129.png",
      "sport_display_name": "Baseball",
      "sport_id": 4,
      "sport_name": "baseball",
      "tournament_type_id": null
    }
  ],
  "total_count": 582,
  "total_pages": 6
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
int64
≥ 1
int64
≥ 1
string

Sport external key (e.g. 'american-football'). Alternative to sport_id. If both are provided, sport_id takes precedence.

date

Filter by event date (YYYY-MM-DD). Defaults to today (UTC).

string
Defaults to UTC

IANA timezone for date interpretation (e.g. 'UTC', 'America/New_York', 'Europe/London')

int64
≥ 1
Defaults to 1

Page number for pagination

int64
1 to 100
Defaults to 100

Number of events per page

Response

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json